let 
  lib = (import <nixpkgs> {}).lib;

in
  {

    firefox.enablePlasmaBrowserIntegration = true;
    clementine.spotify = false;
    whitelistedLicenses = with lib.licenses; [ wtfpl ];
    vim =
      { gui = "gtk3";
      python = true;
      multibyteSupport = true;
    };
  }
