[(self: super:
{
  amarok = super.libsForQt5.callPackage ./ov/amarok.nix {};
  #stapler = super.python2.callPackage ./ov/stapler.nix {};
  #tor-browser-bundle-bin = super.callPackage ./ov/tor-browser-bundle-bin.nix { inherit (super.gnome3) defaultIconTheme; };
  myVim = with super; (vim_configurable.override {python = python3;}).customize {
        # executable/ package name
        name = "vim";
        vimrcConfig.packages.myVimPackage = with pkgs.vimPlugins; {
      # loaded on start
      start = [
        ale
        ctrlp
        #deoplete-jedi
        direnv-vim
        fugitive
        jedi-vim
        nerdtree
        nerdtree-git-plugin
        supertab
        vim-pandoc
        vim-pandoc-syntax
        vim-nix
        vim-jinja
      ];
    };
    vimrcConfig.customRC = 
      ''if filereadable($HOME . "/.vimrc")
        source ~/.vimrc
      endif
      '';
  };
  # build with debug symbols and in debug mode (less optimized)
  opencvDebug = with super; enableDebugging ((opencv3.override {enablePython=true; enableGtk3=true; enableDocs=true; pythonPackages=pkgs.python3Packages; }).overrideAttrs (oldAttrs: rec {cmakeBuildType = "Debug";}));
}
)]
